Identify a user
curl --request POST \
--url https://galinum.com/api/v1/identify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "user_123",
"traits": {
"plan": "free",
"signupSource": "landing"
}
}
'import requests
url = "https://galinum.com/api/v1/identify"
payload = {
"userId": "user_123",
"traits": {
"plan": "free",
"signupSource": "landing"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: 'user_123', traits: {plan: 'free', signupSource: 'landing'}})
};
fetch('https://galinum.com/api/v1/identify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/identify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userId' => 'user_123',
'traits' => [
'plan' => 'free',
'signupSource' => 'landing'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/identify"
payload := strings.NewReader("{\n \"userId\": \"user_123\",\n \"traits\": {\n \"plan\": \"free\",\n \"signupSource\": \"landing\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://galinum.com/api/v1/identify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userId\": \"user_123\",\n \"traits\": {\n \"plan\": \"free\",\n \"signupSource\": \"landing\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/identify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userId\": \"user_123\",\n \"traits\": {\n \"plan\": \"free\",\n \"signupSource\": \"landing\"\n }\n}"
response = http.request(request)
puts response.read_body{
"ok": true
}{
"error": "userId is required"
}{
"error": "Unauthorized"
}{
"error": "Invalid request"
}{
"error": "Too many requests"
}{
"error": "Could not identify user"
}SDK endpoints
Identify a user
Upserts an end-user by your own user id and shallow-merges traits: sending one trait updates it without wiping the rest. Galinum enriches traits server-side with $country, $region, and $city resolved from the request IP.
POST
/
api
/
v1
/
identify
Identify a user
curl --request POST \
--url https://galinum.com/api/v1/identify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "user_123",
"traits": {
"plan": "free",
"signupSource": "landing"
}
}
'import requests
url = "https://galinum.com/api/v1/identify"
payload = {
"userId": "user_123",
"traits": {
"plan": "free",
"signupSource": "landing"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: 'user_123', traits: {plan: 'free', signupSource: 'landing'}})
};
fetch('https://galinum.com/api/v1/identify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/identify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userId' => 'user_123',
'traits' => [
'plan' => 'free',
'signupSource' => 'landing'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/identify"
payload := strings.NewReader("{\n \"userId\": \"user_123\",\n \"traits\": {\n \"plan\": \"free\",\n \"signupSource\": \"landing\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://galinum.com/api/v1/identify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userId\": \"user_123\",\n \"traits\": {\n \"plan\": \"free\",\n \"signupSource\": \"landing\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/identify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userId\": \"user_123\",\n \"traits\": {\n \"plan\": \"free\",\n \"signupSource\": \"landing\"\n }\n}"
response = http.request(request)
puts response.read_body{
"ok": true
}{
"error": "userId is required"
}{
"error": "Unauthorized"
}{
"error": "Invalid request"
}{
"error": "Too many requests"
}{
"error": "Could not identify user"
}Authorizations
Your project's publishable key (pk_pub_…). Safe to expose in the browser — it identifies the project and is rate-limited, not secret.
Body
application/json
Your product's id for this user.
Maximum string length:
256Example:
"user_123"
User traits (max 4 KB serialized), shallow-merged into the existing profile. $-prefixed keys are reserved for auto-collected context ($browser, $os, $timezone, $country, …).
Example:
{ "plan": "free", "signupSource": "landing" }
Response
Success.